Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | Related Functions | List of all members
ranges::views::chunk_fn Struct Reference
Inheritance diagram for ranges::views::chunk_fn:

## Public Member Functions
template<typename Int > requires detail::integer_like_<Int>
constexpr auto | operator() (Int n) const
Public Member Functions inherited from ranges::views::chunk_base_fn
template<typename Rng > requires viewable_range<Rng> && input_range<Rng>
constexpr chunk_view< all_t< Rng > > | operator() (Rng &&rng, range_difference_t< Rng > n) const

## Related Functions
(Note that these are not member functions.)
constexpr chunk_fn | chunk {}